
/*---------------------------------------------------------------------------

    Filename: main.js
    Project:  Apache Access Log Import Extension
    (C) Copyright 2008, Kirix Corporation, All Rights Reserved.

    Summary:        Main start file for Apache Log Import extension

    Developer(s):   David Z. Williams

---------------------------------------------------------------------------*/


include "tools_menu_inserter.js";
include "apache_log_import_form.js";


if (Extension.isContextPackage())
{
    // if the script is packaged as an extension, when the
    // script is run, add a menu item to the host application 
    // and connect the menu item click event to a handler
    var item = insertToolsMenuItem("Import Apache Logs...");
    item.click.connect(onApacheLogImportMenuItemClicked);
}
 else
{
    // if the script is not packaged as an extension, when
    // the script is run, simply show the form
    var f = new ApacheLogImportForm;
    f.center();
    f.show();
}

function onApacheLogImportMenuItemClicked()
{
    // if the menu item is clicked, show the form
    var f = new ApacheLogImportForm;
    f.center();
    f.show();
}

// start the application event loop to process
// application events
Application.run();

